org.apache.tinkerpop.gremlin.process.traversal.step.map

## Class MatchStep.Helper

- java.lang.Object
- - org.apache.tinkerpop.gremlin.process.traversal.step.map.MatchStep.Helper

- Enclosing class:
    MatchStep<S,E>

      public static final class MatchStep.Helper
      extends Object

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `computeStartLabel(List<Traversal.Admin<Object,Object>> traversals)`
    `static Optional<String>` | `getEndLabel(Traversal.Admin<Object,Object> traversal)`
    `static Set<String>` | `getStartLabels(Traversal.Admin<Object,Object> traversal)`
    `static MatchStep.TraversalType` | `getTraversalType(Traversal.Admin<Object,Object> traversal)`
    `static boolean` | `hasEndLabel(Traverser.Admin<Object> traverser, Traversal.Admin<Object,Object> traversal)`
    `static boolean` | `hasExecutedTraversal(Traverser.Admin<Object> traverser, Traversal.Admin<Object,Object> traversal)`
    `static boolean` | `hasStartLabels(Traverser.Admin<Object> traverser, Traversal.Admin<Object,Object> traversal)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getEndLabel

          public static Optional<String> getEndLabel(Traversal.Admin<Object,Object> traversal)

    - #### getStartLabels

          public static Set<String> getStartLabels(Traversal.Admin<Object,Object> traversal)

    - #### hasStartLabels

          public static boolean hasStartLabels(Traverser.Admin<Object> traverser,
                                               Traversal.Admin<Object,Object> traversal)

    - #### hasEndLabel

          public static boolean hasEndLabel(Traverser.Admin<Object> traverser,
                                            Traversal.Admin<Object,Object> traversal)

    - #### hasExecutedTraversal

          public static boolean hasExecutedTraversal(Traverser.Admin<Object> traverser,
                                                     Traversal.Admin<Object,Object> traversal)

    - #### getTraversalType

          public static MatchStep.TraversalType getTraversalType(Traversal.Admin<Object,Object> traversal)

    - #### computeStartLabel

          public static String computeStartLabel(List<Traversal.Admin<Object,Object>> traversals)

Copyright © 2013–2020 Apache Software Foundation. All rights reserved.